QGIS Application - Bug report #17570
Crash when using 3D model for point layer
2017-11-27 11:37 PM - Nadiia Gorash

Status: Closed
Priority: High
Assignee: Martin Dobias
Category: 3D

Affected QGIS version:master
Operating System: windows 7
Pull Request or Patch supplied:
Crashes QGIS or corruptsdata:

Regression?: No
Easy fix?: No
Resolution: no timely feedback

Copied to github as #: 25467

Description

User Feedback

Tried to use 3D Map . WMS layer, DEM and point shp file have been prior added to the project.

The 3D model was selected for point dataset.

QGIS crashed when | opened new 3D map window.

Report Details

Crash ID: 7dd7cadc2bb2115f5b1de1a0f456e708127226d7
Stack Trace

Qt3DRender::QUrlHelper::urlToLocalFileOrQrc :

Qt3DCore::QAbstractAspectPrivate::createBackendNode :

Qt3DCore::QAbstractAspectPrivate::sceneNodeAdded :
Qt3DCore::QChangeArbiter::distributeQueueChanges :
Qt3DCore::QChangeArbiter::syncChanges :
Qt3DCore::QAspectManager::exec :
Qt3DCore::QAspectManager::unregisterAspect :
QThread::start :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:82644fb37f
Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64
Kernel Type: winnt
Kernel Version: 6.1.7601

History

#1 - 2017-11-27 11:40 PM - Giovanni Manghi
- Priority changed from Normal to High

#2 - 2017-11-27 11:55 PM - Nadiia Gorash
Hi, sorry | can't attached the data used as it exceeds allowed limit, so uploaded it here https://we.tl/LiGJ5LKbZH

#3 - 2017-11-29 06:20 PM - Martin Dobias
- Status changed from Open to Feedback

Thanks for the data, but so far | was unable to replicate the crash. You mention that you have used a 3D model for the points layer - | have not seen any

such file in the attached ZIP file. Would it be possible to attach it? From the stack trace | think the crash could have been related to the 3D model file.

It would be also very helpful if you attach your QGIS project file with all the data loaded and configured (saved before you open 3D view).

#4 - 2017-11-29 10:12 PM - Nadiia Gorash

- Assignee set to Martin Dobias

- File inveraray+castle.skp added

- File 3dmapissue.zip added

- File 3d test.qgs added

Hi Martin,

i've attached QGIS project file and a 3d model i tried to use, i've also made a windows prs recording to illustrate what i'm doing.

This time the crash happened when i tried to select a model after 3DMap window was open.

#5 - 2017-11-30 04:15 AM - Giovanni Manghi

- Status changed from Feedback to Open

#6 - 2017-12-01 12:14 PM - Martin Dobias

This looks like upstream bug in Qt. | have reported it here: https://bugreports.qt.io/browse/QTBUG-64916

| think right now it is not safe to use "3D Model" option with more than just a few points in the layer.

Also please note that your 3D model (.skp file) is not supported by Qt 3D from what | can tell - you will need to export it to one of the formats supported by

assimp library - see http://assimp.org/main_features_formats.html - e.g. Collada (.dae) or Wavefront Object (.obj) are known to work fine.

#7 - 2017-12-01 12:17 PM - Martin Dobias
- Subject changed from 3D Map crash to Crash when using 3D model for point layer

#8 - 2018-11-08 01:28 PM - Giovanni Manghi
- Status changed from Open to Feedback

Please try on QGIS 3.4.1, if the issue is still valid change the affected version, thanks.

#9 - 2019-02-23 08:36 PM - Juirgen Fischer
- Status changed from Feedback to Closed
- Resolution set to no timely feedback
https://we.tl/LiGJ5LKbZH
https://bugreports.qt.io/browse/QTBUG-64916
http://assimp.org/main_features_formats.html

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version. Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.

Files

3d test.qgs 25 KB 2017-11-29 Nadiia Gorash
3dmapissue.zip 1.07 MB 2017-11-29 Nadiia Gorash
inveraray+castle.skp 3.54 MB 2017-11-29 Nadiia Gorash
